# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

contact_menu_item = items.MenuItem(
    # GENERAL
    _('Contact'), 
    reverse('admin:app_list', kwargs={'app_label': 'contact'}),
    children=[
        items.MenuItem(
            _('Contact'),
            '',
            children=[
                items.MenuItem(_('Add Contact'), reverse('admin:contact_contact_add',)), 
                items.MenuItem(_('Contact List'), reverse('admin:contact_contact_changelist',)),
            ]
        ),
    ]
)


register_menu(contact_menu_item, 'greenmarketing.contact')